Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.autotune
Class AutotuneTuningControlMetric

    java.lang.Object
      com.ibm.able.autotune.AutotuneMetric
          com.ibm.able.autotune.AutotuneTuningControlMetric

All Implemented Interfaces:
  java.io.Serializable

public class AutotuneTuningControlMetric
extends AutotuneMetric

See Also:
  Serialized Form

Field Summary
`protected AbleUserDefinedFunction` | `effector`
`protected java.lang.Object[]` | `effectorArgs`

Fields inherited from class com.ibm.able.autotune.AutotuneMetric
`myInitialValue, myValue, name, referenceCount, sensor, sensorArgs`

Constructor Summary
`AutotuneTuningControlMetric()`
`AutotuneTuningControlMetric(java.lang.String name)`
`AutotuneTuningControlMetric(java.lang.String name, AbleVariable initialValue)`
`AutotuneTuningControlMetric(java.lang.String name, AbleVariable initialValue, AbleUserDefinedFunction effector)`
`AutotuneTuningControlMetric(java.lang.String name, AbleVariable initialValue, AbleUserDefinedFunction sensor, AbleUserDefinedFunction effector)`

Method Summary
`void` | `setTuningControl()` take the current value of this tuning control and invoke the corresponding action method on the target system
`void` | `setTuningControl(AbleLiteral value)`

Methods inherited from class com.ibm.able.autotune.AutotuneMetric
`addReference, getBooleanValue, getFuzzyValue, getGenericValue, getInitialValue, getName, getNumericValue, getStringValue, getValue, isActive, refreshValue, removeReference, reset, setBooleanValue, setGenericValue, setNumericValue, setStringValue, setValue, toString, xmlCWrString, xmlDclString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### effector

    protected AbleUserDefinedFunction effector

### effectorArgs

    protected java.lang.Object[] effectorArgs

Constructor Detail

### AutotuneTuningControlMetric

    public AutotuneTuningControlMetric()

### AutotuneTuningControlMetric

    public AutotuneTuningControlMetric(java.lang.String name)

### AutotuneTuningControlMetric

    public AutotuneTuningControlMetric(java.lang.String name,
                                       AbleVariable initialValue)

### AutotuneTuningControlMetric

    public AutotuneTuningControlMetric(java.lang.String name,
                                       AbleVariable initialValue,
                                       AbleUserDefinedFunction effector)

### AutotuneTuningControlMetric

    public AutotuneTuningControlMetric(java.lang.String name,
                                       AbleVariable initialValue,
                                       AbleUserDefinedFunction sensor,
                                       AbleUserDefinedFunction effector)

Method Detail

### setTuningControl

    public void setTuningControl(AbleLiteral value)
                          throws AbleException

  Throws:
    `AbleException`

### setTuningControl

    public void setTuningControl()
                          throws AbleException

  take the current value of this tuning control and invoke the corresponding action method on the target system

  Throws:
    `AbleException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005